/* *INDENT-OFF* */ /* THIS FILE IS GENERATED */

/* A register protocol for GDB, the GNU debugger.
   Copyright (C) 2001-2013 Free Software Foundation, Inc.

   This file is part of GDB.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* This file was created with the aid of ``regdat.sh'' and ``/wip/cygport-git/gdb/gdb-7.10.1-1.x86_64/src/gdb-7.10.1/gdb/gdbserver/../regformats/i386/amd64-avx512.dat''.  */

#include "server.h"
#include "regdef.h"
#include "tdesc.h"

static struct reg regs_amd64_avx512[] = {
  { "rax", 0, 64 },
  { "rbx", 64, 64 },
  { "rcx", 128, 64 },
  { "rdx", 192, 64 },
  { "rsi", 256, 64 },
  { "rdi", 320, 64 },
  { "rbp", 384, 64 },
  { "rsp", 448, 64 },
  { "r8", 512, 64 },
  { "r9", 576, 64 },
  { "r10", 640, 64 },
  { "r11", 704, 64 },
  { "r12", 768, 64 },
  { "r13", 832, 64 },
  { "r14", 896, 64 },
  { "r15", 960, 64 },
  { "rip", 1024, 64 },
  { "eflags", 1088, 32 },
  { "cs", 1120, 32 },
  { "ss", 1152, 32 },
  { "ds", 1184, 32 },
  { "es", 1216, 32 },
  { "fs", 1248, 32 },
  { "gs", 1280, 32 },
  { "st0", 1312, 80 },
  { "st1", 1392, 80 },
  { "st2", 1472, 80 },
  { "st3", 1552, 80 },
  { "st4", 1632, 80 },
  { "st5", 1712, 80 },
  { "st6", 1792, 80 },
  { "st7", 1872, 80 },
  { "fctrl", 1952, 32 },
  { "fstat", 1984, 32 },
  { "ftag", 2016, 32 },
  { "fiseg", 2048, 32 },
  { "fioff", 2080, 32 },
  { "foseg", 2112, 32 },
  { "fooff", 2144, 32 },
  { "fop", 2176, 32 },
  { "xmm0", 2208, 128 },
  { "xmm1", 2336, 128 },
  { "xmm2", 2464, 128 },
  { "xmm3", 2592, 128 },
  { "xmm4", 2720, 128 },
  { "xmm5", 2848, 128 },
  { "xmm6", 2976, 128 },
  { "xmm7", 3104, 128 },
  { "xmm8", 3232, 128 },
  { "xmm9", 3360, 128 },
  { "xmm10", 3488, 128 },
  { "xmm11", 3616, 128 },
  { "xmm12", 3744, 128 },
  { "xmm13", 3872, 128 },
  { "xmm14", 4000, 128 },
  { "xmm15", 4128, 128 },
  { "mxcsr", 4256, 32 },
  { "ymm0h", 4288, 128 },
  { "ymm1h", 4416, 128 },
  { "ymm2h", 4544, 128 },
  { "ymm3h", 4672, 128 },
  { "ymm4h", 4800, 128 },
  { "ymm5h", 4928, 128 },
  { "ymm6h", 5056, 128 },
  { "ymm7h", 5184, 128 },
  { "ymm8h", 5312, 128 },
  { "ymm9h", 5440, 128 },
  { "ymm10h", 5568, 128 },
  { "ymm11h", 5696, 128 },
  { "ymm12h", 5824, 128 },
  { "ymm13h", 5952, 128 },
  { "ymm14h", 6080, 128 },
  { "ymm15h", 6208, 128 },
  { "bnd0raw", 6336, 128 },
  { "bnd1raw", 6464, 128 },
  { "bnd2raw", 6592, 128 },
  { "bnd3raw", 6720, 128 },
  { "bndcfgu", 6848, 64 },
  { "bndstatus", 6912, 64 },
  { "xmm16", 6976, 128 },
  { "xmm17", 7104, 128 },
  { "xmm18", 7232, 128 },
  { "xmm19", 7360, 128 },
  { "xmm20", 7488, 128 },
  { "xmm21", 7616, 128 },
  { "xmm22", 7744, 128 },
  { "xmm23", 7872, 128 },
  { "xmm24", 8000, 128 },
  { "xmm25", 8128, 128 },
  { "xmm26", 8256, 128 },
  { "xmm27", 8384, 128 },
  { "xmm28", 8512, 128 },
  { "xmm29", 8640, 128 },
  { "xmm30", 8768, 128 },
  { "xmm31", 8896, 128 },
  { "ymm16h", 9024, 128 },
  { "ymm17h", 9152, 128 },
  { "ymm18h", 9280, 128 },
  { "ymm19h", 9408, 128 },
  { "ymm20h", 9536, 128 },
  { "ymm21h", 9664, 128 },
  { "ymm22h", 9792, 128 },
  { "ymm23h", 9920, 128 },
  { "ymm24h", 10048, 128 },
  { "ymm25h", 10176, 128 },
  { "ymm26h", 10304, 128 },
  { "ymm27h", 10432, 128 },
  { "ymm28h", 10560, 128 },
  { "ymm29h", 10688, 128 },
  { "ymm30h", 10816, 128 },
  { "ymm31h", 10944, 128 },
  { "k0", 11072, 64 },
  { "k1", 11136, 64 },
  { "k2", 11200, 64 },
  { "k3", 11264, 64 },
  { "k4", 11328, 64 },
  { "k5", 11392, 64 },
  { "k6", 11456, 64 },
  { "k7", 11520, 64 },
  { "zmm0h", 11584, 256 },
  { "zmm1h", 11840, 256 },
  { "zmm2h", 12096, 256 },
  { "zmm3h", 12352, 256 },
  { "zmm4h", 12608, 256 },
  { "zmm5h", 12864, 256 },
  { "zmm6h", 13120, 256 },
  { "zmm7h", 13376, 256 },
  { "zmm8h", 13632, 256 },
  { "zmm9h", 13888, 256 },
  { "zmm10h", 14144, 256 },
  { "zmm11h", 14400, 256 },
  { "zmm12h", 14656, 256 },
  { "zmm13h", 14912, 256 },
  { "zmm14h", 15168, 256 },
  { "zmm15h", 15424, 256 },
  { "zmm16h", 15680, 256 },
  { "zmm17h", 15936, 256 },
  { "zmm18h", 16192, 256 },
  { "zmm19h", 16448, 256 },
  { "zmm20h", 16704, 256 },
  { "zmm21h", 16960, 256 },
  { "zmm22h", 17216, 256 },
  { "zmm23h", 17472, 256 },
  { "zmm24h", 17728, 256 },
  { "zmm25h", 17984, 256 },
  { "zmm26h", 18240, 256 },
  { "zmm27h", 18496, 256 },
  { "zmm28h", 18752, 256 },
  { "zmm29h", 19008, 256 },
  { "zmm30h", 19264, 256 },
  { "zmm31h", 19520, 256 },
};

static const char *expedite_regs_amd64_avx512[] = { "rbp", "rsp", "rip", 0 };
static const char *xmltarget_amd64_avx512 = "amd64-avx512.xml";

const struct target_desc *tdesc_amd64_avx512;

void
init_registers_amd64_avx512 (void)
{
  static struct target_desc tdesc_amd64_avx512_s;
  struct target_desc *result = &tdesc_amd64_avx512_s;

  result->reg_defs = regs_amd64_avx512;
  result->num_registers = sizeof (regs_amd64_avx512) / sizeof (regs_amd64_avx512[0]);
  result->expedite_regs = expedite_regs_amd64_avx512;
  result->xmltarget = xmltarget_amd64_avx512;

  init_target_desc (result);

  tdesc_amd64_avx512 = result;
}
